MetricSetControllerReplaceAnalysisStructure Method |
POST /MetricSet/ReplaceAnalysisStructure/{id}
Replaces the metric set's analysis structure with a different one.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpPostAttribute]
[ActionNameAttribute("ReplaceAnalysisStructure")]
public HttpResponseMessage ReplaceAnalysisStructure(
Guid id,
[FromBodyAttribute] ReplaceAnalysisStructureOptions options,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("ReplaceAnalysisStructure")>
Public Function ReplaceAnalysisStructure (
id As Guid,
<FromBodyAttribute> options As ReplaceAnalysisStructureOptions,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"ReplaceAnalysisStructure")]
HttpResponseMessage^ ReplaceAnalysisStructure(
Guid id,
[FromBodyAttribute] ReplaceAnalysisStructureOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("ReplaceAnalysisStructure")>]
member ReplaceAnalysisStructure :
id : Guid *
[<FromBodyAttribute>] options : ReplaceAnalysisStructureOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The ID of the metric set to replace the analysis structure for. - options
- Type: Dundas.BI.WebApi.ModelsReplaceAnalysisStructureOptions
The options to replace the structure with. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessage
A
MetricSetData object containing the updated metric set data, or a status code indicating the problem.
See Also